Package com.sap.ai.sdk.core.model

# Class AiExecutionModificationRequestWithIdentifier

java.lang.Object
com.sap.ai.sdk.core.model.AiExecutionModificationRequestWithIdentifier

public class AiExecutionModificationRequestWithIdentifier extends Object
Request object for changing the target status of an execution (currently STOPPED and DELETED are supported)

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `AiExecutionModificationRequestWithIdentifier.Builder`
  Builder helper class.
  `static interface`
  `AiExecutionModificationRequestWithIdentifier.Builder1`
  Builder helper class.
  `static enum`
  `AiExecutionModificationRequestWithIdentifier.TargetStatusEnum`
  Desired target status of the execution (currently STOPPED and DELETED are supported)

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AiExecutionModificationRequestWithIdentifier()`
  Default constructor for AiExecutionModificationRequestWithIdentifier.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AiExecutionModificationRequestWithIdentifier.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `AiExecutionModificationRequestWithIdentifier` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `AiExecutionModificationRequestWithIdentifier`.
  `String`
  `getId()`
  ID of the execution
  `AiExecutionModificationRequestWithIdentifier.TargetStatusEnum`
  `getTargetStatus()`
  Desired target status of the execution (currently STOPPED and DELETED are supported)
  `int`
  `hashCode()`
  `AiExecutionModificationRequestWithIdentifier`
  `id(String id)`
  Set the id of this `AiExecutionModificationRequestWithIdentifier` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `AiExecutionModificationRequestWithIdentifier` instance.
  `void`
  `setId(String id)`
  Set the id of this `AiExecutionModificationRequestWithIdentifier` instance.
  `void`
  `setTargetStatus(AiExecutionModificationRequestWithIdentifier.TargetStatusEnum targetStatus)`
  Set the targetStatus of this `AiExecutionModificationRequestWithIdentifier` instance.
  `AiExecutionModificationRequestWithIdentifier`
  `targetStatus(AiExecutionModificationRequestWithIdentifier.TargetStatusEnum targetStatus)`
  Set the targetStatus of this `AiExecutionModificationRequestWithIdentifier` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `AiExecutionModificationRequestWithIdentifier` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AiExecutionModificationRequestWithIdentifier

    protected AiExecutionModificationRequestWithIdentifier()
    Default constructor for AiExecutionModificationRequestWithIdentifier.

- ## Method Details

  - ### id

    @Nonnull public AiExecutionModificationRequestWithIdentifier id(@Nonnull String id)
    Set the id of this `AiExecutionModificationRequestWithIdentifier` instance and return the same instance.
    Parameters:
      `id` - ID of the execution
    Returns:
      The same instance of this `AiExecutionModificationRequestWithIdentifier` class

  - ### getId

    @Nonnull public String getId()
    ID of the execution
    Returns:
      id The id of this `AiExecutionModificationRequestWithIdentifier` instance.

  - ### setId

    public void setId(@Nonnull String id)
    Set the id of this `AiExecutionModificationRequestWithIdentifier` instance.
    Parameters:
      `id` - ID of the execution

  - ### targetStatus

    @Nonnull public AiExecutionModificationRequestWithIdentifier targetStatus(@Nonnull AiExecutionModificationRequestWithIdentifier.TargetStatusEnum targetStatus)
    Set the targetStatus of this `AiExecutionModificationRequestWithIdentifier` instance and return the same instance.
    Parameters:
      `targetStatus` - Desired target status of the execution (currently STOPPED and DELETED are supported)
    Returns:
      The same instance of this `AiExecutionModificationRequestWithIdentifier` class

  - ### getTargetStatus

    @Nonnull public AiExecutionModificationRequestWithIdentifier.TargetStatusEnum getTargetStatus()
    Desired target status of the execution (currently STOPPED and DELETED are supported)
    Returns:
      targetStatus The targetStatus of this `AiExecutionModificationRequestWithIdentifier` instance.

  - ### setTargetStatus

    public void setTargetStatus(@Nonnull AiExecutionModificationRequestWithIdentifier.TargetStatusEnum targetStatus)
    Set the targetStatus of this `AiExecutionModificationRequestWithIdentifier` instance.
    Parameters:
      `targetStatus` - Desired target status of the execution (currently STOPPED and DELETED are supported)

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `AiExecutionModificationRequestWithIdentifier`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `AiExecutionModificationRequestWithIdentifier` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `AiExecutionModificationRequestWithIdentifier` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `AiExecutionModificationRequestWithIdentifier` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static AiExecutionModificationRequestWithIdentifier.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `AiExecutionModificationRequestWithIdentifier` instance with all required arguments.